@import '../../colors.scss';

.page.user {
    background: white;
    .main {
        position: relative;
        margin: 206px 0 56px 0;
        display: flex;
        flex-flow: wrap;
        justify-content: center;
    }
    .chart-container {
        position: relative;
        display: flex;
        flex-flow: wrap;
        justify-content: center;
        box-sizing: border-box;
        height: 250px;
        width: 100%;
        margin: 10px;
    }

    .badge-container {
        display: flex;
        justify-content: flex-start;
        width: 100%;
        flex-flow: wrap;
        padding: 20px;
    }
    .badge {
        margin: 0 10px 0 0;
        padding: 3px 5px;
        border: 1px solid;
        border-radius: 5px;
        font-weight: 400;
        font-size: 1.1rem;
        &.bronze {
            border-color: #ab825f;
            background-color: #f2e9e1;
        }
        &.silver {
            border-color: #9a9c9f;
            background-color: #e8e8e8;
        }
        &.gold {
            border-color: #f1b600;
            background-color: #fff4d1;
        }
        &.certified {
            border-color: #39739d;
            background-color: #e1ecf4;
        }
    }
    .progress-bar-container {
        position: relative;
        display: flex;
        width: 100%;
        height: 65px;
        margin: 20px;
        justify-content: flex-start;
        flex-direction: row;
        border-radius: 5px;
        overflow: hidden;
        background-color: $gray-lighter;
        border: 1px solid green;
        .overlay {
            position: absolute;
            display: flex;
            flex-direction: column;
            box-sizing: border-box;
            height: 100%;
            width: 100%;
            padding: 10px;
            justify-content: space-between;
            color: $gray-dark;
            .progress-title {
                display: flex;
                align-items: center;
                justify-content: flex-start;
                font-size: 1.6rem;
                font-weight: 400;
            }
            .progress-details {
                display: flex;
                align-items: center;
                justify-content: flex-start;
                font-size: 1.1rem;
                font-weight: 100;
                .badge {
                    display: flex;
                    margin: 0 5px;
                    padding: 2px 5px;
                    border-radius: 5px;
                    border: 1px solid #f1b600;
                    background-color: #fff4d1;
                    color: $gray-dark;
                    font-weight: 400;
                }
            }
        }
        .progress-bar {
            display: flex;
            flex-direction: column;
            width: 60%;
            background-color: #bef4be;
        }
    }
    h1 {
        margin: 0;
        padding: 0 20px 0 10px;
        font-size: 3rem;
        font-weight: 400;
    }
    p {
        padding: 20px;
        margin: 0;
        font-size: 1.4rem;
        font-weight: 100;
        line-height: 2.4rem;
        text-align: justify;
    }
    h2 {
        margin: 0;
        padding: 25px 20px 0;
        font-size: 2rem;
    }
}
